Bug 1043297 (atril) - Review Request: atril - MATE Document viewer
Summary: Review Request: atril - MATE Document viewer
Status: CLOSED ERRATA
Alias: atril
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: caja
Blocks: 1086149
TreeView+ depends on / blocked
 
Reported: 2013-12-15 19:45 UTC by Wolfgang Ulbrich
Modified: 2014-09-28 20:00 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-28 20:00:30 UTC
besser82: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2013-12-15 19:45:44 UTC
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/atril.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/atril-1.7.0-0.1.git26539f8.fc21.src.rpm
Description: Mate-document-viewer is simple document viewer.
It can display and print Portable Document Format (PDF),
PostScript (PS), Encapsulated PostScript (EPS), DVI, DJVU and XPS files.
When supported by the document format, mate-document-viewer
allows searching for text, copying text to the clipboard,
hypertext navigation, table-of-contents bookmarks and editing of forms.
Fedora Account System Username: raveit65

Comment 1 Wolfgang Ulbrich 2013-12-15 19:46:44 UTC
This is a re-review request for a package rename.
Old packackage name is mate-document-viewer.
Note, this affect only rawhide, f18/19/20 will use mate-window-manager-1.6.x until there EOL.

Comment 2 Björn 'besser82' Esser 2013-12-15 19:47:54 UTC
mine  ;)

Comment 3 Björn 'besser82' Esser 2013-12-16 19:44:15 UTC
Package has one issue, but no blocker.  You can fix during import.  :)


Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> all is fine here.

[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "LGPL (v2 or later)", "GPL
     (v2 or later)", "Unknown or generated". 17 files have unknown license.
     Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1043297-atril/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/help/sr, /usr/share/help/nl,
     /usr/share/help/uk, /usr/share/help/ja, /usr/share/help/vi

     ---> false positive, those dirs should be owned by yelp ---> BUG!

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help/fi,
     /usr/share/help/uk, /usr/share/help/de, /usr/share/dbus-1/services,
     /usr/share/help/sv, /usr/share/help/sr, /usr/share/help/fr,
     /usr/share/thumbnailers, /usr/share/help/C, /usr/share/help/nl,
     /usr/share/help/ja, /usr/share/help/es, /usr/share/help/eu,
     /usr/share/help, /usr/share/help/vi, /usr/share/help/ca,
     /usr/share/help/sl, /usr/share/help/el, /usr/share/help/en_GB,
     /usr/share/help/zh_CN, /usr/share/dbus-1, /usr/share/help/pt_BR,
     /usr/share/help/oc, /usr/share/help/it, /usr/share/help/cs,
     /usr/share/help/bg, /usr/share/help/ru

     ---> those dirs should be owned by `yelp`, but aren't.  File a bug
          against `yelp` and complain about the missing ownerships, please.

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/atril/3(mate-
     document-viewer-libs), /usr/lib64/atril/3/backends(mate-document-viewer-
     libs), /usr/include/atril/1.5.0/libdocument(mate-document-viewer-devel),
     /usr/include/atril(mate-document-viewer-devel), /usr/include/atril/1.5.0
     (mate-document-viewer-devel), /usr/lib64/atril(mate-document-viewer-
     libs), /usr/include/atril/1.5.0/libview(mate-document-viewer-devel)

     ---> the above named pkg will be obsoleted by this one.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in atril

     ---> scriptlets are sane.

[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

     ---> please limit them to be present until a specific distro-release
          like until F23 or so.

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in atril

     ---> scriptlets are sane.

[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in atril

     ---> scriptlets are sane.

[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 112640 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines

     ---> large data in arched pkg, not a blocker.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in atril-libs
     , atril-devel

     ---> devel-pkg requires libs-pkg.  Libs-pkg is meant to be used
          seperalty from main-pkg.  Everything is fine here.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no test or check-target in makefile.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 4526080 bytes in /usr/share

     ---> please move those ~5 MBytes into a noarched subpackage.

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: atril-1.7.0-0.1.git26539f8.fc21.x86_64.rpm
          atril-libs-1.7.0-0.1.git26539f8.fc21.x86_64.rpm
          atril-devel-1.7.0-0.1.git26539f8.fc21.x86_64.rpm
          atril-caja-1.7.0-0.1.git26539f8.fc21.x86_64.rpm
          atril-1.7.0-0.1.git26539f8.fc21.src.rpm
atril.x86_64: E: explicit-lib-dependency mate-desktop-libs
atril-libs.x86_64: W: no-documentation
atril-devel.x86_64: W: no-documentation
atril-caja.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint atril-caja atril atril-devel atril-libs
atril-caja.x86_64: W: no-documentation
atril.x86_64: E: explicit-lib-dependency mate-desktop-libs
atril-devel.x86_64: W: no-documentation
atril-libs.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
atril-caja (rpmlib, GLIBC filtered):
    atril(x86-64)
    caja
    libatrildocument.so.3()(64bit)
    libc.so.6()(64bit)
    libcaja-extension.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

atril (rpmlib, GLIBC filtered):
    /bin/sh
    atril-libs(x86-64)
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libatrildocument.so.3()(64bit)
    libatrilview.so.3()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgailutil.so.18()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsecret-1.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libz.so.1()(64bit)
    mate-desktop-libs
    rtld(GNU_HASH)

atril-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    atril-libs(x86-64)
    libatrildocument.so.3()(64bit)
    libatrilview.so.3()(64bit)
    pkgconfig(atril-document-1.5.0)
    pkgconfig(gio-2.0)
    pkgconfig(gthread-2.0)
    pkgconfig(gtk+-2.0)

atril-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libatk-1.0.so.0()(64bit)
    libatrildocument.so.3()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdjvulibre.so.21()(64bit)
    libgailutil.so.18()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgxps.so.2()(64bit)
    libkpathsea.so.6()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpoppler-glib.so.8()(64bit)
    libpthread.so.0()(64bit)
    libspectre.so.1()(64bit)
    libt1.so.5()(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
atril-caja:
    atril-caja
    atril-caja(x86-64)
    libatril-properties-page.so()(64bit)
    mate-document-viewer-caja
    mate-document-viewer-caja(x86-64)

atril:
    application()
    application(atril.desktop)
    atril
    atril(x86-64)
    mate-document-viewe(x86-64)
    mate-document-viewer
    mimehandler(application/oxps)
    mimehandler(application/pdf)
    mimehandler(application/postscript)
    mimehandler(application/vnd.ms-xpsdocument)
    mimehandler(application/x-bzdvi)
    mimehandler(application/x-bzpdf)
    mimehandler(application/x-bzpostscript)
    mimehandler(application/x-cb7)
    mimehandler(application/x-cbr)
    mimehandler(application/x-cbt)
    mimehandler(application/x-cbz)
    mimehandler(application/x-dvi)
    mimehandler(application/x-gzdvi)
    mimehandler(application/x-gzpdf)
    mimehandler(application/x-gzpostscript)
    mimehandler(image/*)
    mimehandler(image/tiff)
    mimehandler(image/vnd.djvu)
    mimehandler(image/x-bzeps)
    mimehandler(image/x-eps)
    mimehandler(image/x-gzeps)

atril-devel:
    atril-devel
    atril-devel(x86-64)
    mate-document-viewer-devel
    mate-document-viewer-devel(x86-64)
    pkgconfig(atril-document-1.5.0)
    pkgconfig(atril-view-1.5.0)

atril-libs:
    atril-libs
    atril-libs(x86-64)
    libatrildocument.so.3()(64bit)
    libatrilview.so.3()(64bit)
    libcomicsdocument.so()(64bit)
    libdjvudocument.so()(64bit)
    libdvidocument.so()(64bit)
    libpdfdocument.so()(64bit)
    libpixbufdocument.so()(64bit)
    libpsdocument.so()(64bit)
    libtiffdocument.so()(64bit)
    libxpsdocument.so()(64bit)
    mate-document-viewer-libs
    mate-document-viewer-libs(x86-64)



Unversioned so-files
--------------------
atril-libs: /usr/lib64/atril/3/backends/libcomicsdocument.so
atril-libs: /usr/lib64/atril/3/backends/libdjvudocument.so
atril-libs: /usr/lib64/atril/3/backends/libdvidocument.so
atril-libs: /usr/lib64/atril/3/backends/libpdfdocument.so
atril-libs: /usr/lib64/atril/3/backends/libpixbufdocument.so
atril-libs: /usr/lib64/atril/3/backends/libpsdocument.so
atril-libs: /usr/lib64/atril/3/backends/libtiffdocument.so
atril-libs: /usr/lib64/atril/3/backends/libxpsdocument.so
atril-caja: /usr/lib64/caja/extensions-2.0/libatril-properties-page.so

Source checksums
----------------
http://raveit65.fedorapeople.org/Mate/git-upstream/atril-1.7.0.git26539f8.tar.xz :
  CHECKSUM(SHA256) this package     : a2675c6a70ed4c3a96cc985387d5cdcbad01749855ada2a865ca51c35a5eae9b
  CHECKSUM(SHA256) upstream package : a2675c6a70ed4c3a96cc985387d5cdcbad01749855ada2a865ca51c35a5eae9b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -L /home/besser82/shared/fedora/review/caja-caja/results/ -b 1043297
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Built with local dependencies:
    /home/besser82/shared/fedora/review/caja-caja/results/caja-schemas-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-devel-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-extensions-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-1.7.1-0.4.git0ef48fab.fc21.src.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm
    /home/besser82/shared/fedora/review/caja-caja/results/caja-debuginfo-1.7.1-0.4.git0ef48fab.fc21.x86_64.rpm


===== Solution =====

APPROVED!

Please mind my suggestions about conditionals and versatility (release / snapshot), I made inside the `caja`-review.

Comment 4 Wolfgang Ulbrich 2013-12-16 20:05:46 UTC
Thanks Björn for review the package.

New Package SCM Request
=======================
Package Name: atril
Short Description: MATE Document viewer
Owners: raveit65 vicodan
Branches: 
InitialCC: 

Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 5 Gwyn Ciesla 2013-12-16 21:12:57 UTC
Git done (by process-git-requests).

Comment 6 Wolfgang Ulbrich 2013-12-25 21:24:54 UTC
Björn,
issue report against yelp is filed out.

Comment 7 Wolfgang Ulbrich 2013-12-25 21:25:19 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1046500

Comment 8 Wolfgang Ulbrich 2014-07-26 14:15:12 UTC
Package Change Request
======================
Package Name: atril
New Branches: f20
Owners: raveit65 vicodan
InitialCC:

Comment 9 Kevin Fenzi 2014-07-26 21:35:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.